package cn.anicert.secure.access.config.bean;

public class AccessConfig {
    //配置部分
    private String orgId;
    private String customerNo;
    private String accessUrl;
    private String signPrivateKey;
    private String signVerifyPublicKey;
    private String dataEncryptKey;

    //请求部分
    private int connectionRequestTimeout = 50000;
    private int responseTimeout = 30000;
    private int poolMaxConn = 100;

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    public String getAccessUrl() {
        return accessUrl;
    }

    public void setAccessUrl(String accessUrl) {
        this.accessUrl = accessUrl;
    }

    public String getSignPrivateKey() {
        return signPrivateKey;
    }

    public void setSignPrivateKey(String signPrivateKey) {
        this.signPrivateKey = signPrivateKey;
    }

    public String getSignVerifyPublicKey() {
        return signVerifyPublicKey;
    }

    public void setSignVerifyPublicKey(String signVerifyPublicKey) {
        this.signVerifyPublicKey = signVerifyPublicKey;
    }

    public String getDataEncryptKey() {
        return dataEncryptKey;
    }

    public void setDataEncryptKey(String dataEncryptKey) {
        this.dataEncryptKey = dataEncryptKey;
    }

    public int getConnectionRequestTimeout() {
        return connectionRequestTimeout;
    }

    public void setConnectionRequestTimeout(int connectionRequestTimeout) {
        this.connectionRequestTimeout = connectionRequestTimeout;
    }

    public int getResponseTimeout() {
        return responseTimeout;
    }

    public void setResponseTimeout(int responseTimeout) {
        this.responseTimeout = responseTimeout;
    }

    public int getPoolMaxConn() {
        return poolMaxConn;
    }

    public void setPoolMaxConn(int poolMaxConn) {
        this.poolMaxConn = poolMaxConn;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }
}
